﻿using HeuristicLab.Core;
using HeuristicLab.Data;
using HeuristicLab.Optimization;

namespace HeuristicLab.Problems.ProgramSynthesis {
  public interface IPlushManipulator : IPlushOperator, IManipulator {
    IValueLookupParameter<PercentValue> InInstructionProbabilityParameter { get; }
    IValueLookupParameter<IReadOnlyErcOptions> ErcOptionsParameter { get; }
    IValueLookupParameter<IReadOnlyExpressionsConfiguration> InstructionsParameter { get; }
    ILookupParameter<PlushVector> PlushVectorParameter { get; }
  }
}
